Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/IndexClient.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/IndexClient.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/IndexClient.java	(revision 57158)
@@ -1,12 +1,18 @@
 package eu.dnetlib.clients.index.client;
 
+import java.io.Closeable;
 import java.util.List;
+import java.util.Map;
 
 import eu.dnetlib.clients.index.client.response.BrowseEntry;
 import eu.dnetlib.clients.index.client.response.LookupResponse;
+import eu.dnetlib.clients.index.query.IndexQueryFactory;
+import eu.dnetlib.cql.CqlValueTransformerMap;
+import eu.dnetlib.utils.MetadataReference;
 
-public interface IndexClient {
 
+public interface IndexClient extends Closeable {
+
 	LookupResponse lookup(String query, List<String> filterQuery, int from, int to) throws IndexClientException;
 
 	List<BrowseEntry> browse(String query, List<String> browseFields, int max) throws IndexClientException;
@@ -15,6 +21,10 @@
 
 	long delete(String query) throws IndexClientException;
 
-	void stop() throws IndexClientException;
+	CqlValueTransformerMap getCqlValueTransformerMap(final MetadataReference mdRef) throws IndexClientException;
 
+	Map<String, String> getServiceProperties();
+
+	IndexQueryFactory getIndexQueryFactory();
+
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/BrowseValueEntry.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/BrowseValueEntry.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/client/response/BrowseValueEntry.java	(revision 57158)
@@ -4,31 +4,30 @@
 
 @XmlRootElement
 public class BrowseValueEntry implements Comparable<BrowseValueEntry> {
-
+	
 	private String value;
-
+	
 	private int size;
-
-	public BrowseValueEntry() {
-	}
-
+	
+	public BrowseValueEntry() {}
+	
 	public BrowseValueEntry(final String value, final int size) {
 		this.value = value;
 		this.size = size;
 	}
-
+	
 	public String getValue() {
 		return value;
 	}
-
+	
 	public void setValue(final String value) {
 		this.value = value;
 	}
-
+	
 	public int getSize() {
 		return size;
 	}
-
+	
 	public void setSize(final int size) {
 		this.size = size;
 	}
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/ValueImpl.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/ValueImpl.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/ValueImpl.java	(revision 57158)
@@ -5,16 +5,20 @@
 import java.util.Iterator;
 
 import com.google.common.collect.Iterators;
-import eu.dnetlib.clients.index.model.*;
 
+import eu.dnetlib.clients.index.model.Any;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.InvalidValueTypeException;
+import eu.dnetlib.clients.index.model.Value;
+import eu.dnetlib.clients.index.model.ValueFormatHelper;
+
+
 /**
  * Any holding a value.
  */
 public final class ValueImpl extends AbstractAny implements Value {
 
-	/**
-	 * version.
-	 */
+	/** version. */
 	private static final long serialVersionUID = 1L;
 
 	/**
@@ -24,9 +28,11 @@
 
 	/**
 	 * create new empty ValueImpl instance.
-	 *
-	 * @param valueType the type of the Value
-	 * @param value     the value of the Value
+	 * 
+	 * @param valueType
+	 *            the type of the Value
+	 * @param value
+	 *            the value of the Value
 	 */
 	ValueImpl(final ValueType valueType, final Object value) {
 		super(valueType);
@@ -40,8 +46,9 @@
 
 	/**
 	 * create new empty ValueImpl instance as a copy of a given Value.
-	 *
-	 * @param object the vlaue to be copied
+	 * 
+	 * @param object
+	 *            the vlaue to be copied
 	 */
 	ValueImpl(final Value object) {
 		super(object.getValueType());
@@ -105,9 +112,7 @@
 		} else throw new InvalidValueTypeException("Value of type '" + _valueType + "' cannot be converted to long.");
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Boolean asBoolean() {
 		if (_valueType == ValueType.BOOLEAN) return (Boolean) _value;
@@ -120,9 +125,7 @@
 		} else throw new InvalidValueTypeException("Value of type '" + _valueType + "' cannot be converted to boolean.");
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Date asDate() {
 		if ((_valueType == ValueType.DATE) || (_valueType == ValueType.DATETIME)) return new Date(((DateValue) _value).getTime());
@@ -135,9 +138,7 @@
 		} else throw new InvalidValueTypeException("Value of type '" + _valueType + "' cannot be converted to Date.");
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Date asDateTime() {
 		if ((_valueType == ValueType.DATE) || (_valueType == ValueType.DATETIME)) return new Date(((DateValue) _value).getTime());
@@ -150,9 +151,7 @@
 		} else throw new InvalidValueTypeException("Value of type '" + _valueType + "' cannot be converted to DateTime.");
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public String asString() {
 		if (_value == null) return null;
@@ -169,9 +168,7 @@
 		}
 	}
 
-	/**
-	 * get original string from {@link DateValue}, if exists, else format the contained date as date or timestamp.
-	 */
+	/** get original string from {@link DateValue}, if exists, else format the contained date as date or timestamp. */
 	private String getDateString(final DateValue pair) {
 		if (pair.hasOriginalString()) return pair.getOriginalString();
 		if (_valueType == ValueType.DATE) return ValueFormatHelper.INSTANCE.formatDate(pair.getDate());
@@ -178,9 +175,7 @@
 		return ValueFormatHelper.INSTANCE.formatDateTime(pair.getDate());
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Object getObject() {
 		if ((_valueType == ValueType.DATE) || (_valueType == ValueType.DATETIME)) return ((DateValue) _value).getDate();
@@ -189,8 +184,8 @@
 
 	/**
 	 * {@inheritDoc}
-	 *
-	 * @see Object#toString()
+	 * 
+	 * @see java.lang.Object#toString()
 	 */
 	@Override
 	public String toString() {
@@ -210,9 +205,7 @@
 		return result;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean equals(final Object obj) {
 		if (this == obj) return true;
@@ -228,25 +221,19 @@
 		return true;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Iterator<Any> iterator() {
 		return Iterators.unmodifiableIterator(this.iterator());
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isEmpty() {
 		return false;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int size() {
 		return 1;
@@ -254,6 +241,8 @@
 
 	/**
 	 * {@inheritDoc}
+	 * 
+	 * @see org.eclipse.smila.datamodel.Any#asValue()
 	 */
 	@Override
 	public Value asValue() {
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/InvalidValueTypeException.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/InvalidValueTypeException.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/InvalidValueTypeException.java	(revision 57158)
@@ -2,23 +2,21 @@
 
 /**
  * A runtime exception that will be thrown if the value types of the Any objects do not match the expected types.
+ * 
  */
 public class InvalidValueTypeException extends RuntimeException {
 
-	/**
-	 * exceptions can be serialized.
-	 */
+	/** exceptions can be serialized. */
 	private static final long serialVersionUID = 1L;
 
-	/**
-	 * unsupported value type that caused this exception.
-	 */
+	/** unsupported value type that caused this exception. */
 	private final Class<?> _unsupportedType;
 
 	/**
 	 * Creates an InvalidValueTypeException with the given message.
-	 *
-	 * @param message The message for the user.
+	 * 
+	 * @param message
+	 *            The message for the user.
 	 */
 	public InvalidValueTypeException(final String message) {
 		this(message, (Class<?>) null);
@@ -26,9 +24,11 @@
 
 	/**
 	 * Instantiates a new invalid value type exception.
-	 *
-	 * @param message         the message
-	 * @param unsupportedType the unsupported type
+	 * 
+	 * @param message
+	 *            the message
+	 * @param unsupportedType
+	 *            the unsupported type
 	 */
 	public InvalidValueTypeException(final String message, final Class<?> unsupportedType) {
 		super(message);
@@ -37,8 +37,9 @@
 
 	/**
 	 * Instantiates a new invalid value type exception.
-	 *
-	 * @param unsupportedType the unsupported type
+	 * 
+	 * @param unsupportedType
+	 *            the unsupported type
 	 */
 	public InvalidValueTypeException(final Class<?> unsupportedType) {
 		this("type not supported: " + unsupportedType, unsupportedType);
@@ -55,7 +56,7 @@
 
 	/**
 	 * Gets the unsupported type. might be null.
-	 *
+	 * 
 	 * @return the unsupported type
 	 */
 	public Class<?> getUnsupportedType() {
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/AnyMap.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/AnyMap.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/AnyMap.java	(revision 57158)
@@ -5,10 +5,11 @@
 
 /**
  * Interface for a map with Any objects.
+ * 
  * <p>
- * <p>
  * AnyMap does <b>not</b> allow <code>null</code> values!
  * </p>
+ * 
  */
 public interface AnyMap extends Any, Map<String, Any> {
 
@@ -16,15 +17,19 @@
 	 * Adds the given value to the mapped entry of the given key. If there's no mapping yet, the new value is added as
 	 * Seq with one value. If the key is currently mapped to a Value/Map, the Value/Map is converted to a Seq containing
 	 * the Value/Map and the Seq is added. If the key is currently mapped to a Seq, new value is added to that Seq.
-	 *
-	 * @param key   The key
-	 * @param value the Any to add
+	 * 
+	 * @param key
+	 *            The key
+	 * @param value
+	 *            the Any to add
 	 */
 	void add(String key, Any value);
 
 	/**
-	 * @param key   The key
-	 * @param value String value, must not be null.
+	 * @param key
+	 *            The key
+	 * @param value
+	 *            String value, must not be null.
 	 * @return the previous value or null
 	 */
 	Any put(String key, String value);
@@ -32,23 +37,29 @@
 	/**
 	 * Long, Integer, Short and Byte values will be converted to Value object of type LONG, all others to Value object
 	 * of type DOUBLE.
-	 *
-	 * @param key   The key
-	 * @param value Number value, will be converted, must not be null.
+	 * 
+	 * @param key
+	 *            The key
+	 * @param value
+	 *            Number value, will be converted, must not be null.
 	 * @return the previous value or null
 	 */
 	Any put(String key, Number value);
 
 	/**
-	 * @param key   The key
-	 * @param value Boolean value, must not be null.
+	 * @param key
+	 *            The key
+	 * @param value
+	 *            Boolean value, must not be null.
 	 * @return the previous value or null
 	 */
 	Any put(String key, Boolean value);
 
 	/**
-	 * @param key   The key
-	 * @param value Any value, must not be null.
+	 * @param key
+	 *            The key
+	 * @param value
+	 *            Any value, must not be null.
 	 * @return the previous value or null
 	 */
 	@Override
@@ -55,81 +66,94 @@
 	Any put(String key, Any value);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The AnyMap matching the key, an InvalidValueTypeException is thrown if the value is not of type AnyMap,
-	 * or null
+	 *         or null
 	 */
 	AnyMap getMap(String key);
 
 	/**
 	 * Gets the map and optionally creates one under the given key if not present.
-	 *
-	 * @param key    The key
-	 * @param create if true and the key is not yet used, create a new map. else just return null.
+	 * 
+	 * @param key
+	 *            The key
+	 * @param create
+	 *            if true and the key is not yet used, create a new map. else just return null.
 	 * @return The AnyMap matching the key, an InvalidValueTypeException is thrown if the value is not of type AnyMap
 	 */
 	AnyMap getMap(String key, boolean create);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The AnySeq matching to this key, an InvalidValueTypeException is thrown if the value is not of type, or
-	 * null
+	 *         null
 	 */
 	AnySeq getSeq(String key);
 
 	/**
 	 * Gets the seq and optionally creates one under the given key if not present.
-	 *
-	 * @param key    The key
-	 * @param create the create
+	 * 
+	 * @param key
+	 *            The key
+	 * @param create
+	 *            the create
 	 * @return The AnySeq matching the key, an InvalidValueTypeException is thrown if the value is not of type AnyMap
 	 */
 	AnySeq getSeq(String key, boolean create);
 
 	/**
-	 * @param key the key
+	 * @param key
+	 *            the key
 	 * @return The string representation of the attribute value
 	 */
 	String getStringValue(String key);
 
 	/**
-	 * @param key the key
+	 * @param key
+	 *            the key
 	 * @return The value matching to this key, an InvalidValueTypeException is thrown if the value is no value type
 	 */
 	Value getValue(String key);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The double value matching to this key, an InvalidValueTypeException is thrown if the value is not of type
-	 * double
+	 *         double
 	 */
 	Double getDoubleValue(String key);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The long value matching to this key, an InvalidValueTypeException is thrown if the value is not of type
-	 * long
+	 *         long
 	 */
 	Long getLongValue(String key);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The boolean value matching to this key, an InvalidValueTypeException is thrown if the value is not of
-	 * type boolean
+	 *         type boolean
 	 */
 	Boolean getBooleanValue(String key);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The date value matching to this key, an InvalidValueTypeException is thrown if the value is not of type
-	 * date
+	 *         date
 	 */
 	Date getDateValue(String key);
 
 	/**
-	 * @param key The key
+	 * @param key
+	 *            The key
 	 * @return The date time value matching to this key, an InvalidValueTypeException is thrown if the value is not of
-	 * type date time
+	 *         type date time
 	 */
 	Date getDateTimeValue(String key);
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/ValueFormatHelper.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/ValueFormatHelper.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/ValueFormatHelper.java	(revision 57158)
@@ -13,80 +13,49 @@
  * synchronization.
  */
 public class ValueFormatHelper {
-
-	/**
-	 * shared global helper instance.
-	 */
+	/** shared global helper instance. */
 	public static final ValueFormatHelper INSTANCE = new ValueFormatHelper();
 
-	/**
-	 * The max. length of strings to be parsed as date.
-	 */
+	/** The max. length of strings to be parsed as date. */
 	private static final int DATE_LENGTH = 10;
 
-	/**
-	 * The length of strings to be parsed as date time for (default) pattern 1.
-	 */
+	/** The length of strings to be parsed as date time for (default) pattern 1. */
 	private static final int DATE_TIME_LENGTH_PATTERN_DEFAULT = 28;
 
-	/**
-	 * The length of strings to be parsed as date time for pattern 2 and 3.
-	 */
+	/** The length of strings to be parsed as date time for pattern 2 and 3. */
 	private static final int DATE_TIME_LENGTH_PATTERN_2_AND_3 = 24;
 
-	/**
-	 * The length of strings to be parsed as date time for pattern 4.
-	 */
+	/** The length of strings to be parsed as date time for pattern 4. */
 	private static final int DATE_TIME_LENGTH_PATTERN_4 = 20;
 
-	/**
-	 * formatter to create and parse standard string representations of Date values: "yyyy-MM-dd".
-	 */
+	/** formatter to create and parse standard string representations of Date values: "yyyy-MM-dd". */
 	private final DateFormat _formatDate = new SimpleDateFormat("yyyy-MM-dd");
 
-	/**
-	 * valid Datetime value pattern with milliseconds and time zone (default for printing).
-	 */
+	/** valid Datetime value pattern with milliseconds and time zone (default for printing). */
 	private final DateFormat _formatDateTimePatternDefault = getDefaultDateTimeFormat();
 
-	/**
-	 * valid Datetime value pattern with time zone.
-	 */
+	/** valid Datetime value pattern with time zone. */
 	private final DateFormat _formatDateTimePattern2 = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ssZ");
 
-	/**
-	 * valid Datetime value pattern with milliseconds and time zone 'Z' (UTC).
-	 */
+	/** valid Datetime value pattern with milliseconds and time zone 'Z' (UTC). */
 	private final DateFormat _formatDateTimePattern3 = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'");
 
-	/**
-	 * valid Datetime value pattern without milliseconds and time zone 'Z' (UTC).
-	 */
+	/** valid Datetime value pattern without milliseconds and time zone 'Z' (UTC). */
 	private final DateFormat _formatDateTimePattern4 = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss'Z'");
 
-	/**
-	 * pattern for checking if the string might be a date.
-	 */
+	/** pattern for checking if the string might be a date. */
 	private final Pattern _formatPatternDateDefault = Pattern.compile("\\d{4}-\\d{2}-\\d{2}");
 
-	/**
-	 * pattern for checking if the string might be a date time for default pattern.
-	 */
+	/** pattern for checking if the string might be a date time for default pattern. */
 	private final Pattern _formatPatternTimeDefault = Pattern.compile("\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}\\.\\d{3}[+-]{1}\\d{4}");
 
-	/**
-	 * pattern for checking if the string might be a date time for pattern 2.
-	 */
+	/** pattern for checking if the string might be a date time for pattern 2. */
 	private final Pattern _formatPatternTime2 = Pattern.compile("\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}[+-]{1}\\d{4}");
 
-	/**
-	 * pattern for checking if the string might be a date time for pattern 3.
-	 */
+	/** pattern for checking if the string might be a date time for pattern 3. */
 	private final Pattern _formatPatternTime3 = Pattern.compile("\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}\\.\\d{3}Z");
 
-	/**
-	 * pattern for checking if the string might be a date time for pattern 4.
-	 */
+	/** pattern for checking if the string might be a date time for pattern 4. */
 	private final Pattern _formatPatternTime4 = Pattern.compile("\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z");
 
 	/**
@@ -113,8 +82,9 @@
 
 	/**
 	 * format value as Date string.
-	 *
-	 * @param value a date value
+	 * 
+	 * @param value
+	 *            a date value
 	 * @return formatted date.
 	 */
 	public String formatDate(final Date value) {
@@ -125,8 +95,9 @@
 
 	/**
 	 * format value as DateTime string.
-	 *
-	 * @param value a datetime value
+	 * 
+	 * @param value
+	 *            a datetime value
 	 * @return formatted datetime string
 	 */
 	public String formatDateTime(final Date value) {
@@ -137,10 +108,12 @@
 
 	/**
 	 * parse a date string.
-	 *
-	 * @param dateString a date string
+	 * 
+	 * @param dateString
+	 *            a date string
 	 * @return parsed Date
-	 * @throws ParseException string has wrong format
+	 * @throws ParseException
+	 *             string has wrong format
 	 */
 	public Date parseDate(final String dateString) throws ParseException {
 		if (dateString.length() == DATE_LENGTH && _formatPatternDateDefault.matcher(dateString).matches()) {
@@ -154,8 +127,9 @@
 
 	/**
 	 * parse a date string.
-	 *
-	 * @param dateString a date string
+	 * 
+	 * @param dateString
+	 *            a date string
 	 * @return parsed Date if correct format, else null.
 	 */
 	public Date tryParseDate(final String dateString) {
@@ -173,10 +147,12 @@
 
 	/**
 	 * parse datetime string.
-	 *
-	 * @param dateTimeString a datetime string
+	 * 
+	 * @param dateTimeString
+	 *            a datetime string
 	 * @return parsed Date
-	 * @throws ParseException string has wrong format
+	 * @throws ParseException
+	 *             string has wrong format
 	 */
 	public Date parseDateTime(final String dateTimeString) throws ParseException {
 		final Date result;
@@ -206,8 +182,9 @@
 
 	/**
 	 * parse datetime string.
-	 *
-	 * @param dateTimeString a datetime string
+	 * 
+	 * @param dateTimeString
+	 *            a datetime string
 	 * @return parsed Date if correct format, else null;
 	 */
 	public Date tryParseDateTime(final String dateTimeString) {
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/Any.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/Any.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/Any.java	(revision 57158)
@@ -8,12 +8,23 @@
 public interface Any extends Iterable<Any> {
 
 	/**
+	 * Enumeration with the possible value types.
+	 * 
+	 */
+	public enum ValueType {
+
+		/**
+		 * The list with the possible value types. MAP map, SEQ sequence, STRING string value, DOUBLE double value,
+		 * BOOLEAN Boolean value, LONG long value, DATE date (without time), DATETIME date with time
+		 */
+		MAP, SEQ, STRING, DOUBLE, BOOLEAN, LONG, DATE, DATETIME
+	};
+
+	/**
 	 * @return value type
 	 */
 	ValueType getValueType();
 
-	;
-
 	/**
 	 * @return true if value is of type map
 	 */
@@ -71,7 +82,7 @@
 
 	/**
 	 * @return iterator over elements. For {@link Value}, this return an iterator about the value itself. For
-	 * {@link AnyMap} it returns an iterator on the values.
+	 *         {@link AnyMap} it returns an iterator on the values.
 	 */
 	@Override
 	Iterator<Any> iterator();
@@ -101,16 +112,4 @@
 	 */
 	AnySeq asSeq();
 
-	/**
-	 * Enumeration with the possible value types.
-	 */
-	public enum ValueType {
-
-		/**
-		 * The list with the possible value types. MAP map, SEQ sequence, STRING string value, DOUBLE double value,
-		 * BOOLEAN Boolean value, LONG long value, DATE date (without time), DATETIME date with time
-		 */
-		MAP, SEQ, STRING, DOUBLE, BOOLEAN, LONG, DATE, DATETIME
-	}
-
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/util/AnyUtil.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/util/AnyUtil.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/util/AnyUtil.java	(revision 57158)
@@ -1,14 +1,28 @@
 package eu.dnetlib.clients.index.model.util;
 
-import java.util.*;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.Collection;
+import java.util.Date;
+import java.util.HashSet;
+import java.util.Iterator;
+import java.util.LinkedHashMap;
+import java.util.Map;
 import java.util.Map.Entry;
+import java.util.Properties;
+import java.util.Set;
 
-import eu.dnetlib.clients.index.model.*;
+import eu.dnetlib.clients.index.model.Any;
+import eu.dnetlib.clients.index.model.AnyMap;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.DataFactory;
+import eu.dnetlib.clients.index.model.Value;
 import eu.dnetlib.clients.index.model.impl.DefaultDataFactoryImpl;
 
+
 /**
  * utility class for handling / conversion of Any objects.
- * <p>
+ *
  * Hint: The Any-to-JSON conversion for Date(Time)s is not symmetric. If the Any object contains Date(Time) values, they will be serialized
  * to String values in simple timestamp format. But when parsing JSON to an Any object, Date(Time) strings will not be recognized anymore,
  * but just read as String values.
@@ -15,9 +29,7 @@
  */
 public class AnyUtil {
 
-	/**
-	 * Immutable empty AnyMap instance.
-	 */
+	/** Immutable empty AnyMap instance. */
 	public static final AnyMap EMPTY_MAP = DefaultDataFactoryImpl.IMMUTABLE_EMPTY_MAP;
 
 	/**
@@ -30,13 +42,14 @@
 	/**
 	 * Converts an Any object into a native java object.
 	 *
-	 * @param any the Any object
+	 * @param any
+	 *            the Any object
 	 * @return a Pojo
 	 */
 	public static Object anyToNative(final Any any) {
 		if (any.isMap()) {
 			final LinkedHashMap<String, Object> map = new LinkedHashMap<String, Object>();
-			for (final Iterator<String> kIt = ((AnyMap) any).keySet().iterator(); kIt.hasNext(); ) {
+			for (final Iterator<String> kIt = ((AnyMap) any).keySet().iterator(); kIt.hasNext();) {
 				final String key = kIt.next();
 				map.put(key, anyToNative(((AnyMap) any).get(key)));
 			}
@@ -43,7 +56,7 @@
 			return map;
 		} else if (any.isSeq()) {
 			final ArrayList<Object> list = new ArrayList<Object>();
-			for (final Iterator<Any> aIt = any.iterator(); aIt.hasNext(); ) {
+			for (final Iterator<Any> aIt = any.iterator(); aIt.hasNext();) {
 				final Any a = aIt.next();
 				list.add(anyToNative(a));
 			}
@@ -60,13 +73,15 @@
 	/**
 	 * Converts an object to an Any (recursively). The leaf object(s) must be convertable by {@link DataFactory#autoConvertValue(Object)}.
 	 *
-	 * @param object The object to be converted. Supported (and tested in this order) are
-	 *               <ul>
-	 *               <li>{@code Map<String, Object>}
-	 *               <li>{@code Collections<Object>}
-	 *               <li>{@code Object[]}
-	 *               <li>Any other object that can be {@link DataFactory#autoConvertValue(Object)}</li>
-	 *               </ul>
+	 * @param object
+	 *            The object to be converted. Supported (and tested in this order) are
+	 *            <ul>
+	 *            <li>{@code Map<String, Object>}
+	 *            <li>{@code Collections<Object>}
+	 *            <li>{@code Object[]}
+	 *            <li>Any other object that can be {@link DataFactory#autoConvertValue(Object)}</li>
+	 *            </ul>
+	 *
 	 * @return The converted Any
 	 */
 	@SuppressWarnings("unchecked")
@@ -89,7 +104,8 @@
 	/**
 	 * Converts a collection to an AnySeq object.
 	 *
-	 * @param objects The list of objects to convert.
+	 * @param objects
+	 *            The list of objects to convert.
 	 * @return An AnySeq containing the objects as Any objects.
 	 */
 	private static AnySeq collectionToAny(final Collection<Object> objects) {
@@ -106,7 +122,8 @@
 	/**
 	 * Converts a scalar object to a Value object.
 	 *
-	 * @param obj The object to convert.
+	 * @param obj
+	 *            The object to convert.
 	 * @return A Value representing the object.
 	 */
 	private static Any scalarObjectToAny(final Object obj) {
@@ -116,7 +133,8 @@
 	/**
 	 * Converts a map to an AnyMap object.
 	 *
-	 * @param map The map (String to Object) to convert.
+	 * @param map
+	 *            The map (String to Object) to convert.
 	 * @return An AnyMap representing the map with all Objects converted to Any.
 	 */
 	private static AnyMap mapToAny(final Map<String, Object> map) {
@@ -134,8 +152,10 @@
 	 * get value for given path(list of keys) from AnyMap object. This methods throws no exception, if the path not exists an empty Any is
 	 * the result.
 	 *
-	 * @param any  the Any object.
-	 * @param path path to the entry.
+	 * @param any
+	 *            the Any object.
+	 * @param path
+	 *            path to the entry.
 	 * @return value associated to the path.
 	 */
 	public static Any saveGet(final Any any, final String[] path) {
@@ -159,7 +179,8 @@
 	/**
 	 * convert an exception to an any object.
 	 *
-	 * @param e exception to convert
+	 * @param e
+	 *            exception to convert
 	 * @return any representation of exception
 	 */
 	public static AnyMap exceptionToAny(final Throwable e) {
@@ -169,8 +190,10 @@
 	/**
 	 * convert an exception to an any object. stop in stacktrace printing when hitting known lines again.
 	 *
-	 * @param e            exception to convert
-	 * @param visitedLines lines that have been added to stacktraces before.
+	 * @param e
+	 *            exception to convert
+	 * @param visitedLines
+	 *            lines that have been added to stacktraces before.
 	 * @return any representation of exception
 	 */
 	private static AnyMap exceptionToAny(final Throwable e, final Collection<String> visitedLines) {
@@ -200,76 +223,58 @@
 	 */
 	public static Double asDouble(final Any any) {
 		return any == null ? null : any.asValue().asDouble();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static Boolean asBoolean(final Any any) {
 		return any == null ? null : any.asValue().asBoolean();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static Date asDateTime(final Any any) {
 		return any == null ? null : any.asValue().asDateTime();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static Date asDate(final Any any) {
 		return any == null ? null : any.asValue().asDate();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static Long asLong(final Any any) {
 		return any == null ? null : any.asValue().asLong();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static String asString(final Any any) {
 		return any == null ? null : any.asValue().asString();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static AnyMap asMap(final Any any) {
 		return any == null ? null : any.asMap();
-	}
+	};
 
-	;
-
 	/**
 	 * null save version.
 	 */
 	public static AnySeq asSeq(final Any any) {
 		return any == null ? null : any.asSeq();
-	}
+	};
 
-	;
-
-	/**
-	 * convert AnyMap to java.util.Properties.
-	 */
+	/** convert AnyMap to java.util.Properties. */
 	public static Properties anyToProperties(final AnyMap anyMap) {
 		Properties props = new Properties();
 		final Set<String> keySet = anyMap.keySet();
@@ -279,9 +284,7 @@
 		return props;
 	}
 
-	/**
-	 * convert java.util.Properties to AnyMap.
-	 */
+	/** convert java.util.Properties to AnyMap. */
 	public static AnyMap propertiesToAny(final Properties props) {
 		final AnyMap any = DataFactory.DEFAULT.createAnyMap();
 		final Set<String> propNames = props.stringPropertyNames();
@@ -293,7 +296,7 @@
 
 	/**
 	 * returns the 1st map in the give SEQ that contains a value with the given name value, or null if not found.
-	 * <p>
+	 *
 	 * This is often useful for configs that are contained in a seq such as search filters.
 	 *
 	 * @since 1.1
